Bug 170599 - several packages fail to build on rawhide due to undefined references
several packages fail to build on rawhide due to undefined references
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 07:30 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-10 13:01:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2005-10-13 07:30:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
/usr/lib/gcc/x86_64-redhat-linux/4.0.2/../../../../lib64/libselinux.a(load_policy.o): In function `selinux_mkload_policy':
: undefined reference to `sepol_genbools_array'
/usr/lib/gcc/x86_64-redhat-linux/4.0.2/../../../../lib64/libselinux.a(load_policy.o): In function `selinux_mkload_policy':
: undefined reference to `sepol_genusers'
/usr/lib/gcc/x86_64-redhat-linux/4.0.2/../../../../lib64/libselinux.a(load_policy.o): In function `selinux_mkload_policy':
: undefined reference to `sepol_genbools'
collect2: ld returned 1 exit status

Version-Release number of selected component (if applicable):
libselinux-1.27.7-1

How reproducible:
Always

Steps to Reproduce:
1.try to build busybox, cryptsetup-luks, device-mapper or lvm2 on a Rawhide box
2. check failures
3.
  

Additional info:
Comment 1 Daniel Walsh 2005-12-10 13:01:14 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.